package zadania.zad05;

import java.util.Iterator;
import java.util.List;

import javax.xml.namespace.NamespaceContext;

public class SklepNSContext implements NamespaceContext {

	private static final String SKLEP_PREFIX = "sklep";
	private static final String SKLEP_URI = "urn:sklep";

	@Override
	public String getNamespaceURI(String prefix) {
		if(SKLEP_PREFIX.equals(prefix))
			return SKLEP_URI;
		else
			return null;
	}

	@Override
	public String getPrefix(String namespaceURI) {
		if(SKLEP_URI.equals(namespaceURI))
			return SKLEP_PREFIX;
		else
			return null;
	}

	@Override
	public Iterator getPrefixes(String namespaceURI) {
		return List.of(SKLEP_PREFIX).iterator();
	}
}
